Foxit PDF Conversion SDK

Public Member Functions | List of all members
com.foxit.sdk.conversion.office2pdf.Excel2PDFSettingData Class Reference

## Public Member Functions
| Excel2PDFSettingData ()
| Constructor.
| Excel2PDFSettingData (boolean is_separate_workbook, boolean is_output_hidden_worksheets, WStringArray worksheet_names)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | getIs_output_hidden_worksheets ()
| Get a boolean value which indicates whether to output the hidden worksheets. More...
boolean | getIs_separate_workbook ()
| Get a boolean value which indicates whether to export worksheets to separate PDF files. More...
WStringArray | getWorksheet_names ()
| Get an array of specific worksheet names to be converted to PDF files. More...
void | set (boolean is_separate_workbook, boolean is_output_hidden_worksheets, WStringArray worksheet_names)
| Set value. More...
void | setIs_output_hidden_worksheets (boolean value)
| Set a boolean value which indicates whether to output the hidden worksheets. More...
void | setIs_separate_workbook (boolean value)
| Set a boolean value which indicates whether to export worksheets to separate PDF files. More...
void | setWorksheet_names (WStringArray value)
| Set an array of specific worksheet names to be converted to PDF files. More...

## Detailed Description

This class represents setting data used for converting Excel format files to PDF format files.

## Constructor & Destructor Documentation

## ◆ Excel2PDFSettingData()

com.foxit.sdk.conversion.office2pdf.Excel2PDFSettingData.Excel2PDFSettingData | ( | boolean | is_separate_workbook,
|  | boolean | is_output_hidden_worksheets,
|  | WStringArray | worksheet_names
| ) |  |

Constructor, with parameters.

Parameters

  [in] | is_separate_workbook | A boolean value which indicates whether to export worksheets to separate PDF files.
  [in] | is_output_hidden_worksheets | A boolean value which indicates whether to output the hidden worksheets.
  [in] | worksheet_names | An array of specific worksheet names to be converted to PDF files.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.conversion.office2pdf.Excel2PDFSettingData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getIs_output_hidden_worksheets()

com.foxit.sdk.conversion.office2pdf.Excel2PDFSettingData.getIs_output_hidden_worksheets | ( |  | ) |

Get a boolean value which indicates whether to output the hidden worksheets.

true means to output the hidden worksheets, while false means not.

Returns
  A boolean value which indicates whether to output the hidden worksheets.

## ◆ getIs_separate_workbook()

com.foxit.sdk.conversion.office2pdf.Excel2PDFSettingData.getIs_separate_workbook | ( |  | ) |

Get a boolean value which indicates whether to export worksheets to separate PDF files.

true means to export each worksheet to separate PDF files, while false means not.

Returns
  A boolean value which indicates whether to export worksheets to separate PDF files.

## ◆ getWorksheet_names()

com.foxit.sdk.conversion.office2pdf.Excel2PDFSettingData.getWorksheet_names | ( |  | ) |

Get an array of specific worksheet names to be converted to PDF files.

If this array is empty, all worksheets will be converted to PDF files.

Returns
  An array of specific worksheet names to be converted to PDF files.

## ◆ set()

void com.foxit.sdk.conversion.office2pdf.Excel2PDFSettingData.set | ( | boolean | is_separate_workbook,
|  | boolean | is_output_hidden_worksheets,
|  | WStringArray | worksheet_names
| ) |  |

Set value.

Parameters

  [in] | is_separate_workbook | A boolean value which indicates whether to export worksheets to separate PDF files.
  [in] | is_output_hidden_worksheets | A boolean value which indicates whether to output the hidden worksheets.
  [in] | worksheet_names | An array of specific worksheet names to be converted to PDF files.

Returns
  None.

## ◆ setIs_output_hidden_worksheets()

com.foxit.sdk.conversion.office2pdf.Excel2PDFSettingData.setIs_output_hidden_worksheets | ( | boolean | value | ) |

Set a boolean value which indicates whether to output the hidden worksheets.

true means to output the hidden worksheets, while false means not.

Parameters

  [in] | value | A boolean value which indicates whether to output the hidden worksheets.

Returns
  None.

## ◆ setIs_separate_workbook()

com.foxit.sdk.conversion.office2pdf.Excel2PDFSettingData.setIs_separate_workbook | ( | boolean | value | ) |

Set a boolean value which indicates whether to export worksheets to separate PDF files.

true means to export each worksheet to separate PDF files, while false means not.

Parameters

  [in] | value | A boolean value which indicates whether to export worksheets to separate PDF files.

Returns
  None.

## ◆ setWorksheet_names()

com.foxit.sdk.conversion.office2pdf.Excel2PDFSettingData.setWorksheet_names | ( | WStringArray | value | ) |

Set an array of specific worksheet names to be converted to PDF files.

If this array is empty, all worksheets will be converted to PDF files.

Parameters

  [in] | value | An array of specific worksheet names to be converted to PDF files.

Returns
  None.